Siparişlerimi listele
GET
/api/website/me/orders
const url = 'https://api.petanqueai.com/api/website/me/orders?page=1&limit=20&order=asc&status=DRAFT&channel=FIELD&invoiceStatus=PENDING&sort=orderDate';const options = { method: 'GET', headers: { 'x-storefront-token': '<x-storefront-token>', 'x-customer-session': '<x-customer-session>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.petanqueai.com/api/website/me/orders?page=1&limit=20&order=asc&status=DRAFT&channel=FIELD&invoiceStatus=PENDING&sort=orderDate' \ --header 'x-customer-session: <x-customer-session>' \ --header 'x-storefront-token: <x-storefront-token>'Müşterinin siparişleri; aynı e-posta adresiyle misafir olarak verdikleri de dahil. Hâlâ ödeme bekleyen siparişler listelenmez. Ürün listesi gibi sayfalanır; status, from ve to ile filtreleyin.